#
# spec file for package tse3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tse3
BuildRequires:  alsa-devel gcc-c++ libtool
Url:            http://tse3.sourceforge.net/
License:        GPL-2.0+
Group:          System/Libraries
Provides:       TSE3 Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        0.3.1
Release:        lp151.145.4
Summary:        TSE3 MIDI Sequencer Library
Source:         tse3-%{version}.tar.bz2
Patch:          lp64.patch
Patch1:         libtool_hack.diff
Patch2:         tse3-0.3.1_gcc4.patch
Patch3:         ts3.linux-awe_voice.patch
Patch4:         tse3-0.3.1_gcc43_fixes.patch

%description
TSE3 is a MIDI sequencer library written in C++. Sequencer applications
or multimedia presentation packages can incorporate the TSE3 libraries
to provide a user with MIDI sequencing facilities. The library is open
source.



Authors:
--------
    Pete Goodliffe <pete.goodliffe@pace.co.uk>

%package devel
License:        GPL-2.0+
Group:          System/Libraries
Requires:       %{name} == %{version}
Requires:       alsa-devel glibc-devel libstdc++-devel
Summary:        Development packages for the TSE3 MIDI Sequencer Library

%description devel
TSE3 is a MIDI sequencer library written in C++. Sequencer applications
or multimedia presentation packages can incorporate the TSE3 libraries
to provide a user with MIDI sequencing facilities. The library is open
source.

This package holds the development files for TSE3.



Authors:
--------
    Pete Goodliffe <pete.goodliffe@pace.co.uk>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3 -p1
%patch4

%build
autoreconf --force --install
%configure --with-install-root=%{buildroot} --with-alsa
%{__make}

%install
%makeinstall docsdir=%{_docdir}/%{name}
%{__install} -m 0644 \
        AUTHORS COPYING ChangeLog NEWS README THANKS TODO \
    %{buildroot}%{_docdir}/%{name}/
%{__install} -d -m 0755 %{buildroot}%{_docdir}/%{name}/demos/
%{__mv} %{buildroot}%{_docdir}/%{name}/*.tse* \
    %{buildroot}%{_docdir}/%{name}/demos/
%{__install} -m 0644 \
        demos/*.ins demos/*.mid demos/*.tse2 \
    %{buildroot}%{_docdir}/%{name}/demos/
%{__make} -C src/examples/ clean
%{__cp} -rv src/examples/ \
    %{buildroot}%{_docdir}/%{name}/
%{__rm} -rf %{buildroot}%{_docdir}/%{name}/*/.deps %{buildroot}%{_docdir}/%{name}/*/*/.deps

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libtse3.so.*
%{_mandir}/man1/*
%doc %{_docdir}/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/libtse3.so
%{_libdir}/libtse3.la

%changelog
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Aug 19 2008 lnussel@suse.de
- remove resmgr from devel package requirements
* Tue Nov 13 2007 mrueckert@suse.de
- added tse3-0.3.1_gcc43_fixes.patch:
  mostly missing includes
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of removed linux/awe_voice.h
* Mon Jul 31 2006 mrueckert@suse.de
- remove joe from buildrequires
* Sat Feb 18 2006 aj@suse.de
- Fix build failure.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 mrueckert@suse.de
- update to 0.3.1
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Fri May 27 2005 aj@suse.de
- Fix build with gcc4.
* Tue Apr 26 2005 meissner@suse.de
- build with gcc4.
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Sat Sep 18 2004 mana@suse.de
- fixed tse3 to work with ALSA 1.x (original patch from
    NoteEdit page at TU Chemnitz)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Wed Jul 23 2003 mana@suse.de
- update to 0.2.7
- Improved tse3play and more example code.
- tse3 improvements and doxygen documentation.
* Mon Jun  2 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Sep  3 2002 mana@suse.de
- Update to 0.2.5 to fix MIDI import / export in noteedit
* Mon Aug 19 2002 pthomas@suse.de
- Add a hack to configure.in to make libtool 1.4.2 use g++
  for linking.
- Add explicit specializations for std::char_traits<unsigned char>
  and basic_filebuf<unsigned char>::_M_underflow_common.
* Tue Jul 16 2002 mana@suse.de
- update to 0.2.3
* Wed May  8 2002 mana@suse.de
- Fixed library location by adding
  - -libdir=%%{_libdir} to ./configure
* Sat Apr  6 2002 schwab@suse.de
- Fix for LP64 architectures.
- Fix for gcc3.
* Mon Mar 18 2002 tiwai@suse.de
- fixed ALSA support; using 0.9 API.
* Tue Jan 22 2002 mana@suse.de
- update to 0.1.2
* Tue Jul 24 2001 mana@suse.de
- update to 0.1.0
* Tue Mar 27 2001 mana@suse.de
- update to 0.0.23
- updated filelist in {_docdir}/misc
* Tue Mar 20 2001 mana@suse.de
- update to 0.0.22
* Fri Jan 26 2001 mana@suse.de
- update to 0.0.20
* Wed Jan 24 2001 mana@suse.de
- update to 0.0.19
- spec file rewritten based on spec file from tse3 author
* Wed Jan  3 2001 adrian@suse.de
- update to 0.0.17
* Mon Nov 13 2000 ro@suse.de
- fixed configure for mandir
* Fri Nov 10 2000 adrian@suse.de
- initial package
